# backend/socketio_events.py
import logging
from flask_socketio import SocketIO

def register_socketio_events(socketio: SocketIO):
    @socketio.on('connect')
    def on_connect():
        logging.info("✅ 클라이언트가 연결되었습니다.")
        socketio.emit('response', {'message': '✅ 서버에 연결되었습니다.'})

    @socketio.on('disconnect')
    def on_disconnect():
        logging.info("⚠️ 클라이언트 연결이 해제되었습니다.")